# Source code for azure.mgmt.logic.models.agreement_content_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class AgreementContent(Model):
        """The integration account agreement content.

        :param a_s2: The AS2 agreement content.
        :type a_s2: ~azure.mgmt.logic.models.AS2AgreementContent
        :param x12: The X12 agreement content.
        :type x12: ~azure.mgmt.logic.models.X12AgreementContent
        :param edifact: The EDIFACT agreement content.
        :type edifact: ~azure.mgmt.logic.models.EdifactAgreementContent
        """

        _attribute_map = {
            'a_s2': {'key': 'aS2', 'type': 'AS2AgreementContent'},
            'x12': {'key': 'x12', 'type': 'X12AgreementContent'},
            'edifact': {'key': 'edifact', 'type': 'EdifactAgreementContent'},
        }

        def __init__(self, *, a_s2=None, x12=None, edifact=None, **kwargs) -> None:
            super(AgreementContent, self).__init__(**kwargs)
            self.a_s2 = a_s2
            self.x12 = x12
            self.edifact = edifact